Commet
  • Precios
Iniciar SesiónRegistrarse
Add plan to group POSTCreate plan group POSTDelete plan group DELETEGet plan group GETList plan groups GETRemove plan from group DELETEReorder plans in group PUTUpdate plan group PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Update plan group

Update a plan group's name, description, or visibility.

Reorder plans in group PUT

Set the display order of plans within a group. All plan IDs in the group must be provided.

Add feature to plan POST

Attach a feature to a plan with limits, overage, and credits configuration.

PUT
/plan-groups/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length
description?|
isPublic?boolean

Response Body

application/json

application/json

curl -X PUT "https://commet.co/api/v1/plan-groups/string" \  -H "Content-Type: application/json" \  -d '{}'

application/json

Updated name

Updated description

Updated visibility

Update a plan group's name, description, or visibility.

Plan group public ID

{
  "success": true,
  "data": {
    "object": "plan_group",
    "livemode": true,
    "id": "string",
    "name": "string",
    "description": "string",
    "isPublic": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt"

{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"2019-08-24T14:15:22Z"
}
}